# Authentication

To use the Userdesk API it is required to have an API Key.

Creating an API Key is as simple as creating a Chatbot, going to the API section, and creating a new API Key.

{% embed url="<https://www.loom.com/share/47367f36bb634fcf94f8966c7726c758?sid=502658bb-1580-4ff1-b4a3-455d4486e06b>" %}
Create an API Key
{% endembed %}

### Bearer Token Authorization

Every API endpoint needs to be authenticated via the Bearer Token.

It means that every HTTP request has to include this HTTP Header:

```
Authorization: Bearer <your_chatbot_api_key>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.userdesk.io/api/authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
